This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 217556 - If-Modified-Since: handling completely broken
If-Modified-Since: handling completely broken
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: FC6Update 218764
  Show dependency treegraph
 
Reported: 2006-11-28 11:52 EST by Tim Waugh
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.2.7-1.5.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 11:11:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 2132 None None None Never
CUPS Bugs and Features 2133 None None None Never

  None (edit)
Description Tim Waugh 2006-11-28 11:52:48 EST
Seen in system-config-printer strace:

access("/etc/cups/cupsd.conf", R_OK)    = -1 EACCES (Permission denied)
getuid()                                = 500
open("/tmp/456c67a658c90", O_RDWR|O_CREAT|O_EXCL, 0600) = 11
sendto(7, "GET /admin/conf/cupsd.conf HTTP/1.1\r\nAuthorization: Basic cm9vdDpsa
XRJOGxsdWlx\r\nHost: localhost\r\nIf-Modified-Since: Tue, 28 Nov 2006 16:45:24 G
MT\r\nUser-Agent: CUPS/1.2.7\r\n\r\n", 173, 0, NULL, 0) = 173
recvfrom(7, "HTTP/1.1 304 Not Modified\r\nDate: Tue, 28 Nov 2006 16:45:26 GMT\r\
nServer: CUPS/1.2\r\nConnection: Keep-Alive\r\nKeep-Alive: timeout=60\r\nContent
-Language: en_GB\r\nUpgrade: TLS/1.0,HTTP/1.1\r\n\r\n", 2048, 0, NULL, NULL) = 1
84
select(8, [7], NULL, NULL, {10, 0})     = 0 (Timeout)
Comment 1 Tim Waugh 2006-11-28 12:06:05 EST
Test case:

#!usr/bin/python
import cups
cups.setUser('root')
cups.setServer('localhost')
cups.setEncryption(cups.HTTP_ENCRYPT_NEVER)
c=cups.Connection()
c.adminGetServerSettings()
c.adminGetServerSettings()
Comment 2 Tim Waugh 2006-11-28 12:18:48 EST
Reported upstream.
Comment 3 Tim Waugh 2006-11-30 07:46:03 EST
Two upstream bug reports about this.  The timeout isn't the only problem; the
connection gets closed as well.
Comment 4 Fedora Update System 2007-01-02 11:04:01 EST
Fixed in update: cups-1.2.7-1.5.fc6

Note You need to log in before you can comment on or make changes to this bug.